# novaclient.v2.quotas module

class novaclient.v2.quotas.QuotaSet(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

  update(*args, **kwargs)

class novaclient.v2.quotas.QuotaSetManager(api)

  Bases: `Manager`

  defaults(tenant_id)
  delete(tenant_id, user_id=None)

    Delete quota for a tenant or for a user.

    Parameters:

      - tenant_id – A tenant for which quota is to be deleted

      - user_id – A user for which quota is to be deleted

    Returns:

      An instance of novaclient.base.TupleWithMeta

  get(tenant_id, user_id=None, detail=False)
  resource_class

    alias of `QuotaSet`

  update(tenant_id, user_id=None, force=False, instances=None, cores=None, ram=None, metadata_items=None, key_pairs=None, server_groups=None, server_group_members=None)

this page last updated: 2026-07-15 14:18:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug